Flecs: ecs_system_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_system_t Struct Reference
C API » Addons » System

System type, get with ecs_system_get(). More...

`#include <system.h>`

## Public Attributes
ecs_header_t | hdr
| Object header.
ecs_run_action_t | run
| See ecs_system_desc_t.
ecs_iter_action_t | action
| See ecs_system_desc_t.
ecs_query_t * | query
| System query.
uint64_t | group_id
| Query group to iterate.
bool | group_id_set
| True if a query group is configured.
ecs_entity_t | tick_source
| Tick source associated with the system.
bool | multi_threaded
| Whether the system is multithreaded.
bool | immediate
| Whether the system is run in immediate mode.
const char * | name
| Cached system name (for perf tracing).
void * | ctx
| Userdata for the system.
void * | callback_ctx
| Callback language binding context.
void * | run_ctx
| Run language binding context.
ecs_ctx_free_t | ctx_free
| Callback to free ctx.
ecs_ctx_free_t | callback_ctx_free
| Callback to free callback ctx.
ecs_ctx_free_t | run_ctx_free
| Callback to free run ctx.
ecs_ftime_t | time_spent
| Time spent on running the system.
ecs_ftime_t | time_passed
| Time passed since the last invocation.
int64_t | last_frame
| Last frame for which the system was considered.
flecs_poly_dtor_t | dtor
| Mixin destructor.

## Detailed Description

System type, get with ecs_system_get().

Definition at line 139 of file system.h.

## Member Data Documentation

## ◆ action

ecs_iter_action_t ecs_system_t::action

See ecs_system_desc_t.

Definition at line 146 of file system.h.

## ◆ callback_ctx

void* ecs_system_t::callback_ctx

Callback language binding context.

Definition at line 173 of file system.h.

## ◆ callback_ctx_free

ecs_ctx_free_t ecs_system_t::callback_ctx_free

Callback to free callback ctx.

Definition at line 182 of file system.h.

## ◆ ctx

void* ecs_system_t::ctx

Userdata for the system.

Definition at line 170 of file system.h.

## ◆ ctx_free

ecs_ctx_free_t ecs_system_t::ctx_free

Callback to free ctx.

Definition at line 179 of file system.h.

## ◆ dtor

flecs_poly_dtor_t ecs_system_t::dtor

Mixin destructor.

Definition at line 197 of file system.h.

## ◆ group_id

uint64_t ecs_system_t::group_id

Query group to iterate.

Definition at line 152 of file system.h.

## ◆ group_id_set

bool ecs_system_t::group_id_set

True if a query group is configured.

Definition at line 155 of file system.h.

## ◆ hdr

ecs_header_t ecs_system_t::hdr

Object header.

Definition at line 140 of file system.h.

## ◆ immediate

bool ecs_system_t::immediate

Whether the system is run in immediate mode.

Definition at line 164 of file system.h.

## ◆ last_frame

int64_t ecs_system_t::last_frame

Last frame for which the system was considered.

Definition at line 194 of file system.h.

## ◆ multi_threaded

bool ecs_system_t::multi_threaded

Whether the system is multithreaded.

Definition at line 161 of file system.h.

## ◆ name

const char* ecs_system_t::name

Cached system name (for perf tracing).

Definition at line 167 of file system.h.

## ◆ query

ecs_query_t* ecs_system_t::query

System query.

Definition at line 149 of file system.h.

## ◆ run

ecs_run_action_t ecs_system_t::run

See ecs_system_desc_t.

Definition at line 143 of file system.h.

## ◆ run_ctx

void* ecs_system_t::run_ctx

Run language binding context.

Definition at line 176 of file system.h.

## ◆ run_ctx_free

ecs_ctx_free_t ecs_system_t::run_ctx_free

Callback to free run ctx.

Definition at line 185 of file system.h.

## ◆ tick_source

ecs_entity_t ecs_system_t::tick_source

Tick source associated with the system.

Definition at line 158 of file system.h.

## ◆ time_passed

ecs_ftime_t ecs_system_t::time_passed

Time passed since the last invocation.

Definition at line 191 of file system.h.

## ◆ time_spent

ecs_ftime_t ecs_system_t::time_spent

Time spent on running the system.

Definition at line 188 of file system.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/system.h